Subject: re: stdcall
From: [email-masked]

6 Jan 1999 22:53:29 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Mumit Khan <[email-masked]>
Cc: [email-masked]

On Tue, 5 Jan 1999, Mumit Khan wrote:

> > When writing a win32 application, how are STDCALL functions handled?
> > If the windows API expects to pop arguments to a call, how does 
> > egcs handle it?  Does it do the 'right' thing?  Is there an interface
> > layer that does it?  Is this option available available on other
> > platforms?
> 
> They're handled exactly as the GCC documentation suggests. Yes, it 
> mostly does the right thing[1]. I'm not sure what you mean by an 
> interface layer, but see [2] below. And, yes, it's supported under 
> all platforms; why you'd want to use it on any other platform where 
> you don't have to is of course an altogether different issue!

Because I'm working on the inverse problem.  I am making an implementation
of the windows api's for unix.  So when gnu-win32 is used to write
window applications, those same binaries, on say intel linux, could
run unchanged.  I can do this now, for small win32 applications, 
and have a layer to 'do the right thing' for non-gcc intel platforms.
This feature means I won't need that layer. Thanks.

robf

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".